# Generated by Django 2.1.3 on 2020-04-27 10:01

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0003_auto_20200427_1001'),
        ('common', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('devices', '0006_auto_20200427_1001'),
        ('address', '0001_initial'),
        ('utp', '0002_auto_20200323_1457'),
    ]

    operations = [
        migrations.CreateModel(
            name='Antenna',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('uuid', models.UUIDField(db_index=True, default=uuid.uuid4, editable=False)),
                ('name', models.CharField(blank=True, max_length=80)),
                ('alias', models.CharField(db_index=True, max_length=80)),
                ('architecture', models.CharField(blank=True, max_length=80)),
                ('description', models.TextField()),
                ('firmware', models.CharField(blank=True, max_length=100, null=True)),
                ('serial', models.CharField(blank=True, max_length=80)),
                ('cpeutps', models.PositiveSmallIntegerField(default=0)),
                ('devices', models.PositiveSmallIntegerField(default=0)),
                ('cpeutp_active', models.PositiveSmallIntegerField(default=0)),
                ('ram', models.CharField(blank=True, max_length=10, null=True)),
                ('cpu', models.CharField(blank=True, max_length=10, null=True)),
                ('storage', models.CharField(blank=True, max_length=10, null=True)),
                ('temperature_cpu', models.CharField(blank=True, max_length=10, null=True)),
                ('temperature', models.CharField(blank=True, max_length=10, null=True)),
                ('voltage', models.PositiveSmallIntegerField(default=0)),
                ('power_consumption', models.PositiveSmallIntegerField(default=0)),
                ('uptime', models.DateTimeField(blank=True, null=True)),
                ('time_uptime', models.DateTimeField(blank=True, null=True)),
                ('comment', models.TextField(max_length=300, null=True)),
                ('expected_power', models.CharField(blank=True, default='', max_length=255, verbose_name='expected power')),
                ('status', models.PositiveIntegerField(choices=[(1, 'wired'), (2, 'pending'), (3, 'in progress'), (4, 'no label'), (5, 'discarded')], default=1, null=True, verbose_name='status')),
                ('apartments', models.PositiveIntegerField(default=0)),
                ('phone', models.CharField(blank=True, default='', max_length=16, verbose_name='phone')),
                ('antennas_left', models.PositiveSmallIntegerField(default=0, verbose_name='antennas left')),
                ('no_address_binding', models.BooleanField(default=False, verbose_name='no asociar direcciones')),
                ('matrix_seller', models.PositiveSmallIntegerField(blank=True, null=True)),
                ('address_pulso', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='address.Address')),
                ('default_connection_node', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='utp.Antenna', verbose_name='default connection node')),
            ],
            options={
                'ordering': ['alias'],
            },
        ),
        migrations.CreateModel(
            name='AntennaConnection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('username', models.CharField(max_length=25)),
                ('password', models.CharField(max_length=30)),
                ('connections', models.PositiveSmallIntegerField(default=0)),
            ],
            options={
                'ordering': ['username'],
            },
        ),
        migrations.CreateModel(
            name='Availability',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='address.Address')),
            ],
        ),
        migrations.CreateModel(
            name='HistoricalAntenna',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('uuid', models.UUIDField(db_index=True, default=uuid.uuid4, editable=False)),
                ('name', models.CharField(blank=True, max_length=80)),
                ('alias', models.CharField(db_index=True, max_length=80)),
                ('architecture', models.CharField(blank=True, max_length=80)),
                ('description', models.TextField()),
                ('firmware', models.CharField(blank=True, max_length=100, null=True)),
                ('serial', models.CharField(blank=True, max_length=80)),
                ('cpeutps', models.PositiveSmallIntegerField(default=0)),
                ('devices', models.PositiveSmallIntegerField(default=0)),
                ('cpeutp_active', models.PositiveSmallIntegerField(default=0)),
                ('ram', models.CharField(blank=True, max_length=10, null=True)),
                ('cpu', models.CharField(blank=True, max_length=10, null=True)),
                ('storage', models.CharField(blank=True, max_length=10, null=True)),
                ('temperature_cpu', models.CharField(blank=True, max_length=10, null=True)),
                ('temperature', models.CharField(blank=True, max_length=10, null=True)),
                ('voltage', models.PositiveSmallIntegerField(default=0)),
                ('power_consumption', models.PositiveSmallIntegerField(default=0)),
                ('uptime', models.DateTimeField(blank=True, null=True)),
                ('time_uptime', models.DateTimeField(blank=True, null=True)),
                ('comment', models.TextField(max_length=300, null=True)),
                ('expected_power', models.CharField(blank=True, default='', max_length=255, verbose_name='expected power')),
                ('status', models.PositiveIntegerField(choices=[(1, 'wired'), (2, 'pending'), (3, 'in progress'), (4, 'no label'), (5, 'discarded')], default=1, null=True, verbose_name='status')),
                ('apartments', models.PositiveIntegerField(default=0)),
                ('phone', models.CharField(blank=True, default='', max_length=16, verbose_name='phone')),
                ('antennas_left', models.PositiveSmallIntegerField(default=0, verbose_name='antennas left')),
                ('no_address_binding', models.BooleanField(default=False, verbose_name='no asociar direcciones')),
                ('matrix_seller', models.PositiveSmallIntegerField(blank=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('address_pulso', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='address.Address')),
                ('default_connection_node', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Antenna', verbose_name='default connection node')),
            ],
            options={
                'verbose_name': 'historical antenna',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalAntennaConnection',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('username', models.CharField(max_length=25)),
                ('password', models.CharField(max_length=30)),
                ('connections', models.PositiveSmallIntegerField(default=0)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical antenna connection',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.RemoveField(
            model_name='buildingcontact',
            name='node',
        ),
        migrations.RemoveField(
            model_name='historicalbuildingcontact',
            name='history_user',
        ),
        migrations.RemoveField(
            model_name='historicalbuildingcontact',
            name='node',
        ),
        migrations.RemoveField(
            model_name='historicalmikrotik',
            name='address',
        ),
        migrations.RemoveField(
            model_name='historicalmikrotik',
            name='antennas_left',
        ),
        migrations.RemoveField(
            model_name='historicalmikrotik',
            name='commune',
        ),
        migrations.RemoveField(
            model_name='historicalmikrotik',
            name='house_number',
        ),
        migrations.RemoveField(
            model_name='historicalmikrotik',
            name='is_building',
        ),
        migrations.RemoveField(
            model_name='historicalmikrotik',
            name='location',
        ),
        migrations.RemoveField(
            model_name='historicalmikrotik',
            name='street',
        ),
        migrations.RemoveField(
            model_name='mikrotik',
            name='address',
        ),
        migrations.RemoveField(
            model_name='mikrotik',
            name='antennas_left',
        ),
        migrations.RemoveField(
            model_name='mikrotik',
            name='commune',
        ),
        migrations.RemoveField(
            model_name='mikrotik',
            name='house_number',
        ),
        migrations.RemoveField(
            model_name='mikrotik',
            name='is_building',
        ),
        migrations.RemoveField(
            model_name='mikrotik',
            name='location',
        ),
        migrations.RemoveField(
            model_name='mikrotik',
            name='street',
        ),
        migrations.AddField(
            model_name='historicalmikrotik',
            name='address_pulso',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='address.Address'),
        ),
        migrations.AddField(
            model_name='historicalmikrotik',
            name='logic_node',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='common.Node'),
        ),
        migrations.AddField(
            model_name='mikrotik',
            name='address_pulso',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='address.Address'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='mikrotik',
            name='logic_node',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='common.Node'),
        ),
        migrations.AlterField(
            model_name='addresslist',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='cpeutp',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='cpeutp',
            name='uuid',
            field=models.UUIDField(db_index=True, default=uuid.uuid4, editable=False),
        ),
        migrations.AlterField(
            model_name='gear',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='group',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicaladdresslist',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalcpeutp',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalcpeutp',
            name='uuid',
            field=models.UUIDField(db_index=True, default=uuid.uuid4, editable=False),
        ),
        migrations.AlterField(
            model_name='historicalgear',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalgroup',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalmikrotik',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalmikrotik',
            name='uuid',
            field=models.UUIDField(db_index=True, default=uuid.uuid4, editable=False),
        ),
        migrations.AlterField(
            model_name='historicalmikrotikconnection',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalnotfoundequipment',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalprofileutp',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalradius',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalradius',
            name='uuid',
            field=models.UUIDField(db_index=True, default=uuid.uuid4, editable=False),
        ),
        migrations.AlterField(
            model_name='historicalradiusconnection',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='historicalsystemprofile',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='mikrotik',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='mikrotik',
            name='uuid',
            field=models.UUIDField(db_index=True, default=uuid.uuid4, editable=False),
        ),
        migrations.AlterField(
            model_name='mikrotikconnection',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='notfoundequipment',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='profileutp',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='radius',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='radius',
            name='uuid',
            field=models.UUIDField(db_index=True, default=uuid.uuid4, editable=False),
        ),
        migrations.AlterField(
            model_name='radiusconnection',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='systemprofile',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, editable=False, null=True),
        ),
        migrations.DeleteModel(
            name='BuildingContact',
        ),
        migrations.DeleteModel(
            name='HistoricalBuildingContact',
        ),
        migrations.AddField(
            model_name='historicalantennaconnection',
            name='mikrotik',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Mikrotik'),
        ),
        migrations.AddField(
            model_name='historicalantenna',
            name='group',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Group', verbose_name='group'),
        ),
        migrations.AddField(
            model_name='historicalantenna',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalantenna',
            name='ip',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.IPTable'),
        ),
        migrations.AddField(
            model_name='historicalantenna',
            name='logic_node',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='common.Node'),
        ),
        migrations.AddField(
            model_name='historicalantenna',
            name='mac_eth1',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.MACTable'),
        ),
        migrations.AddField(
            model_name='historicalantenna',
            name='model',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ModelDevice'),
        ),
        migrations.AddField(
            model_name='historicalantenna',
            name='parent',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Antenna', verbose_name='parent'),
        ),
        migrations.AddField(
            model_name='historicalantenna',
            name='radius',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Radius'),
        ),
        migrations.AddField(
            model_name='availability',
            name='node',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik'),
        ),
        migrations.AddField(
            model_name='antennaconnection',
            name='mikrotik',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='group',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='utp.Group', verbose_name='group'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='ip',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.IPTable'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='ip_range',
            field=models.ManyToManyField(to='devices.IPRange'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='logic_node',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='common.Node'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='mac_eth1',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.MACTable'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='model',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.ModelDevice'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='utp.Antenna', verbose_name='parent'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='plan_order_kinds',
            field=models.ManyToManyField(blank=True, to='utp.PlanOrderKind', verbose_name='tipo OS habilitadas'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='plans',
            field=models.ManyToManyField(to='customers.Plan'),
        ),
        migrations.AddField(
            model_name='antenna',
            name='radius',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='utp.Radius'),
        ),
        migrations.AlterUniqueTogether(
            name='antenna',
            unique_together={('alias', 'ip')},
        ),
    ]
